'------------------------------------------------------------------------------
' File:        CIRCLE.prg
' Purpose:     Cartesian robot move to arbitrary point, then move in a circle, and record all movement
' Version:     1.00
' Author:      Itay.Kedem
' Description:
' History:     2017-09-28    V1.00
'              Created
'------------------------------------------------------------------------------

program

	record circle.rec 10000 recData = a1.PCmd, a2.PCmd, a3.PCmd
	
	with cartXYZ
		attach
			en = 1
			recordon
			
			move {100, 180,10}
			while ismoving <> 0 
				sleep 10
			end while
			
			circle angle = -360 circlecenter = #{100, 150, 10} acc = 10 Vtran=10
			while ismoving <>0 
				sleep 10
			end while
			
			recordclose
		detach
	end with


end program 
